# Plugin´s Files

```yaml
config:
  # Do not change this option unless the developer instructs you to.
  debug: false

  menu:
    title: "&bChoose Your Gender"
    size: 27 # Inventory slot count, must be a multiple of 9

    # Define the buttons that will appear in the menu here
    items:
      male:
        slot: 11
        type: GENDER
        item:
          material: DIAMOND_SWORD
          name: "&9Male"
          lore:
            - "&7Click to select your gender"
            - "&9Male"
        prefix:
          enabled: true
          value: ' &b♂'
        actions:
          - "[message] &aYou selected &b♂ Male"
          - "[close]"

      female:
        slot: 13
        type: GENDER
        item:
          material: GOLDEN_APPLE
          name: "&dFemale"
          lore:
            - "&7Click to select your gender"
            - "&dFemale"
        prefix:
          enabled: true
          value: ' &d♀'
        actions:
          - "[message] &aYou selected &d♀ Female"
          - "[close]"

      non_binary:
        slot: 15
        type: GENDER
        item:
          material: ENCHANTED_BOOK
          name: "&aNon-binary"
          lore:
            - "&7Click to select your gender"
            - "&aNon-binary"
        prefix:
          enabled: true
          value: ' &e⚧'
        actions:
          - "[message] &aYou selected &e⚧ Non-binary"
          - "[close]"

      reset:
        slot: 22
        type: RESET
        item:
          material: BARRIER
          name: "&cReset Gender"
          lore:
            - "&7Click to remove your current gender"
        actions:
          - "[message] &cYour gender has been reset"
          - "[close]"
          -

    custom-items: []

  # Disable plugin functionality in these worlds
  disable_worlds:
    - "ExampleWorld"

  # Disable usage statistics (bStats)
  metrics: true

  # Disable update checker notifications
  update_checker: true

  # Configure command aliases or override the default base command
  command:

    default:
      enabled: true
      name: playergender # Base command name (requires server restart)
      aliases:
        - "pg"

    shortened_open_command:
      enabled: true
      need_permissions: true
      permission: playergender.open
      name: gender
      aliases:
        - "gd"

  # Storage method (SQLite or MySQL)
  storage_method: SQLite

  data:
    address: 127.0.0.1
    port: 3306
    database: database
    username: username
    password: passy

file-version: 1
```

```yaml
MESSAGES:
  # Placeholders
  PLACEHOLDER:
    SECONDS: s
    MINUTES: m
    HOURS: h
    DAYS: d
    SEPARATOR: ' '

  # Gui
  GUI:
    COUNTDOWN: "&fYou must wait &a{1} &fseconds before clicking again."

  # Commands
  COMMANDS:
    # Disable in world
    NO_USAGE_IN_WORLD: "&cYou can't use this in this world."

    #No Perms
    NOPERMS: "&cYou do not have permission {2} to use this command."
    NOPERMS_LOGGER: "&cUser {1} does not have permission {2}"

    #Help
    NO_SUCH_COMMAND: "No such command. please type /{cmd} help for more info"
    HELP_CONSOLE: |-
      &7
      &e&l BASIC CONSOLE COMMANDS
      &7
      &8 » &e/{cmd} reload &8- &fReloads the configuration
      &8 » &e/{cmd} help &8- &fView help message
      &7
    HELP:
      - "&e&lBASIC COMMANDS"
      - "&7"
      - "&8 » &e/{shortenedcmd} &8- &fOpen rewards menu"
      - "&7"
      - "&8 » &e/{cmd} reload &8- &fReload the configuration"
      - "&8 » &e/{cmd} help &8- &fView help message"
    HELP_USAGE: "&cCorrect usage: /{cmd} help (page)"

    # reload
    RELOAD: '&aAll YML files have been successfully reset.'
    RELOAD_COOLDOWN: 'You must wait {1} before reloading the configuration.'

    # Shortened
    SHORTENED_OPEN: "&aOpening rewards menu..."
    SHORTENED_OPEN_CONSOLE: "&cOnly players can execute this command."


file-version: 1



```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xshyo.us/free-plugins/playergender/plugin-s-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
